---
title: PhotoCapabilities.fillLightMode
slug: Web/API/PhotoCapabilities/fillLightMode
tags:
  - API
  - Experimental
  - Image
  - Image Capture
  - Media
  - MediaStream Image Capture API
  - PhotoCapabilities
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("MediaStream Image")}}</div>

<p><span class="seoSummary">The <strong><code>fillLightMode</code></strong> read-only property of the {{domxref("PhotoCapabilities")}} interface returns all available fill light options of the source device.</span> Options may include <code>auto</code>, <code>off</code>, or <code>flash</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>lightModes</em> = <em>photoCapabilities</em>.fillLightMode</pre>

<h3 id="Value">Value</h3>

<p>An {{jsxref("Array")}} of available fill light modes.</p>

<dl>
	<dt><code>auto</code></dt>
	<dd>The device's fill light will be used automatically in low light conditions.</dd>
	<dt><code>off</code></dt>
	<dd>No fill light will be used.</dd>
	<dt><code>flash</code></dt>
	<dd>Always use the device's fill light.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('MediaStream Image','#dom-photocapabilities-filllightmode','fillLightMode')}}</td>
			<td>{{Spec2('MediaStream Image')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PhotoCapabilities.fillLightMode")}}</p>
</div>
